<ion-content #content>
  <div class="mainContent">
    <div class="restContent" [style.backgroundImage]="'url('+cover+')'">
      <div class="btnss">
        <ion-icon (click)="back()" class="backIcon" color="light" slot="start" name="arrow-back-outline"></ion-icon>
        <ion-label class="moreInfo" (click)="openDetails()">{{'View more' | translate}}</ion-label>
      </div>
    </div>
    <div class="foodsContent">
      <ion-label class="restname">{{name}}</ion-label>
      <ion-label class="cusine">{{getCusine(cusine)}}</ion-label>
      <div class="ratting">
        <ion-icon [name]="totalRatting >= 1 ? 'star-outline':'star'" [color]="totalRatting >= 1 ? 'warning':'medium'">
        </ion-icon>
        <ion-icon [name]="totalRatting >= 2 ? 'star-outline':'star'" [color]="totalRatting >= 2 ? 'warning':'medium'">
        </ion-icon>
        <ion-icon [name]="totalRatting >= 3 ? 'star-outline':'star'" [color]="totalRatting >= 3 ? 'warning':'medium'">
        </ion-icon>
        <ion-icon [name]="totalRatting >= 4 ? 'star-outline':'star'" [color]="totalRatting >= 4 ? 'warning':'medium'">
        </ion-icon>
        <ion-icon [name]="totalRatting >= 5 ? 'star-outline':'star'" [color]="totalRatting >= 5 ? 'warning':'medium'">
        </ion-icon>
        ({{ratting}} {{'Rattings' | translate}})
      </div>
      <div class="deliveryAddress">
        <img src="assets/pin.png" alt="" class="pin">
        <p class="address"> {{getAddress()}}</p>

      </div>
      <div class="vegSection">
        <ion-label>{{'Veg Only' | translate}}</ion-label>
        <ion-toggle color="success" mode="ios" (ionChange)="statusChange()" [(ngModel)]="veg"></ion-toggle>
      </div>
      <div *ngFor="let item of dummy">
        <ion-list>
          <ion-item>
            <ion-thumbnail slot="start">
              <ion-skeleton-text animated></ion-skeleton-text>
            </ion-thumbnail>
            <ion-label>
              <h3>
                <ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
              </h3>
              <p>
                <ion-skeleton-text animated style="width: 80%"></ion-skeleton-text>
              </p>
              <p>
                <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
              </p>
            </ion-label>
          </ion-item>
        </ion-list>
      </div>
      <div *ngFor="let cate of categories">
        <ion-label class="cateTitle" [id]="cate.id">{{cate.name}}</ion-label>
        <div class="card_div">

          <div class="card" *ngFor="let item of foods;let i = index">
            <div *ngIf="cate.id == item.cid.id" class="mainCat">
              <img [src]="item.cover" alt="" class="image_div">
              <div class="desc_div">
                <ion-label class="heading_lbl">{{item.name}}</ion-label>
                <div class="ratting">
                  <ion-icon [name]="item.ratting >= 1 ? 'star-outline':'star'"
                    [color]="item.ratting >= 1 ? 'warning':'medium'">
                  </ion-icon>
                  <ion-icon [name]="item.ratting >= 2 ? 'star-outline':'star'"
                    [color]="item.ratting >= 2 ? 'warning':'medium'">
                  </ion-icon>
                  <ion-icon [name]="item.ratting >= 3 ? 'star-outline':'star'"
                    [color]="item.ratting >= 3 ? 'warning':'medium'">
                  </ion-icon>
                  <ion-icon [name]="item.ratting >= 4 ? 'star-outline':'star'"
                    [color]="item.ratting >= 4 ? 'warning':'medium'">
                  </ion-icon>
                  <ion-icon [name]="item.ratting >= 5 ? 'star-outline':'star'"
                    [color]="item.ratting >= 5 ? 'warning':'medium'">
                  </ion-icon>
                  ({{item.totalRatting ? item.totalRatting:0}}. {{'Rattings' | translate}})
                </div>
                <ion-label class="small_lbl">{{item.desc}}</ion-label>
                <ion-label class="small_lbl">{{item.price | currency: 'COP' : 'symbol-narrow'}}</ion-label>
              </div>
              <div class="cartBtn" *ngIf="item.quantiy <= 0">
                <ion-label class="btns" (click)="add(i)">{{'Add' | translate}}</ion-label>
                <!-- <ion-button (click)="add(i)" size="small" expand="block" fill="outline" shape="round">
                  {{'Add' | translate}}
                </ion-button> -->
              </div>
              <div class="cartBtn2" *ngIf="item.quantiy > 0">
                <ion-button (click)="removeQ(i)" fill="clear" size="small">
                  <ion-icon name="remove"></ion-icon>
                </ion-button>
                <p class="qunitity">{{item.quantiy}}</p>
                <ion-button (click)="addQ(i)" fill="clear" size="small">
                  <ion-icon name="add"></ion-icon>
                </ion-button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- <app-popover></app-popover> -->

  <ion-fab vertical="bottom" horizontal="end" slot="fixed" (click)="presentPopover($event)">
    <ion-fab-button color="light" mode="ios">
      <ion-icon name="list" color="primary"></ion-icon>
      <ion-label color="primary">{{'Menu' | translate}}</ion-label>
    </ion-fab-button>
  </ion-fab>
</ion-content>
<ion-footer *ngIf="totalItem >0">
  <ion-toolbar color="primary">
    <ion-label color="light">{{totalItem | currency: 'COP' : 'symbol-narrow'}} {{'ITEM' | translate}}</ion-label>
    <ion-label color="light">{{totalPrice | currency: 'COP' : 'symbol-narrow'}} {{'plus taxes' | translate}}</ion-label>
    <ion-button (click)="viewCart()" slot="end" fill="clear" color="light">
      <ion-icon slot="end" name="arrow-forward-outline"></ion-icon>
      {{'View Cart' | translate}}
    </ion-button>
  </ion-toolbar>
</ion-footer>